## 1 运行语聊房
### 1.1 修改鉴权信息
打开 "chathouse/src/main/java/im/zego/chathouse" 目录下的 "KeyCenter.java" 文件，根据其中的指引修改 APP_ID 和 APP_SIGN。

### 1.2 其他
可参考官网的语聊房源码运行指引：https://doc-zh.zego.im/article/15947

## 2 语聊房目录说明

语聊房的具体实现在chathouse module

### 2.1 语聊房页面说明

语聊房由两个页面构成，分别是房间列表页面和语聊房房间页面

#### 2.1.1 房间列表页面

房间列表相关实现位于 im.zego.chathouse.roomlist 文件目录

房间列表具体页面对应的实现类是 im.zego.chathouse.roomlist.ChatHouseListActivity

#### 2.1.2 语聊房房间页面

语聊房房间相关实现位于 im.zego.chathouse.room 文件目录

语聊房房间具体页面对应的实现类是 im.zego.chathouse.room.RoomActivity

### 2.2 chathouse module主要目录说明

```
chathouse
└── src
    └── main
        ├── AndroidManifest.xml
        ├── res
        └── java
            └── im
                └── zego
                    └── chathouse
                        ├── Constants.java                      （常量文件）
                        ├── ErrorCode.java                      （错误码）
                        ├── KeyCenter.java                      （APP_ID，APP_SIGN和后台地址配置信息）
                        ├── UserProfile.java                    （用户信息配置）
                        ├── help
                        │    └── PermissionHelp.java            （权限辅助类）
                        ├── manager
                        │    └── UserManager.java               （用户管理类）
                        ├── model                               （数据模型）
                        ├── protocol                            （网络请求封装）
                        ├── room
                        │    ├── LoginService.java              （房间登录服务）
                        │    ├── RoomActivity.java              （语聊房房间页面）
                        │    ├── RoomManager.java               （房间管理类）
                        │    ├── RoomPresenter.java             （房间部分逻辑处理类）
                        │    ├── RoomService.java               （语聊房前台服务）
                        │    ├── custom                         （业务相关视图和弹窗）
                        │    ├── help                           （辅助类）
                        │    └── service                        （房间服务）
                        ├── roomlist                            （房间列表页面）                    
                        ├── sdk
                        │    ├── rtc                            （RTC相关类）
                        │    └── zim                            （ZIM相关类）
                        ├── utils                               （工具类）
                        └── view                                （业务无关视图）
```


### 2.3 详细目录文件说明

语聊房位于项目中的chathouse模块内，详细目目录文件如下:

```
chathouse
└── src
    └── main
        ├── AndroidManifest.xml
        ├── res
        └── java
            └── im
                └── zego
                    └── chathouse
                        ├── Constants.java                                  （常量文件）
                        ├── ErrorCode.java                                  （错误码）
                        ├── KeyCenter.java                                  （APP_ID，APP_SIGN和后台地址配置信息）
                        ├── UserProfile.java                                （用户信息配置）
                        ├── help
                        │    └── PermissionHelp.java                        （权限辅助类）
                        ├── manager
                        │    └── UserManager.java                           （用户管理类）
                        ├── model
                        │    ├── CallData.java                              （邀请附加信息序列化类）
                        │    ├── CommandData.java                           （1v1特殊消息序列化类）
                        │    ├── DialogTask.java                            （弹窗任务）
                        │    ├── HeartbeatRespInfo.java                     （心跳请求数据）
                        │    ├── InviteExtendedData.java                    （邀请附加信息）
                        │    ├── NoInfo.java                                （无附加信息）
                        │    ├── RoomAttributes.java                        （房间属性）
                        │    ├── RoomInfo.java                              （房间信息）
                        │    ├── RoomListInfo.java                          （房间列表数据）
                        │    ├── Seat.java                                  （麦位信息）
                        │    ├── TokenInfo.java                             （Token信息）
                        │    └── User.java                                  （用户信息）
                        ├── protocol
                        │    ├── APIBase.java                               （Okhttp封装类）
                        │    ├── AppJsonBuilder.java                        （包含appsign的json字符串生成类）
                        │    ├── IAsyncPostCallback.java                    （异步post请求回调）
                        │    ├── ICommonResponseCallback.java               （通用请求回调）
                        │    ├── ICreateRoomCallback.java                   （创建房间回调）
                        │    ├── IGetRoomListCallback.java                  （获取房间列表回调）
                        │    ├── IHeartBeatCallback.java                    （心跳回调）
                        │    ├── ILoginRoomCallback.java                    （登录房间回调）
                        │    ├── JsonBuilder.java                           （json字符串生成类）
                        │    ├── RequestErrorCodeManager.java               （请求错误码统一管理）
                        │    ├── RoomAPI.java                               （房间相关API封装）
                        │    ├── TokenJsonBuilder.java                      （包含token的json字符串生成类）
                        │    └── TokenManager.java                          （token获取和管理类）
                        ├── room
                        │    ├── LoginService.java                          （登录服务）
                        │    ├── RoomActivity.java                          （语聊房房间页面）
                        │    ├── RoomManager.java                           （房间管理类）
                        │    ├── RoomPresenter.java                         （房间部分逻辑处理类）
                        │    ├── RoomService.java                           （语聊房前台服务）
                        │    ├── callback
                        │    │   ├── IActivityNotNullCallback.java          （申请上下文不为空回调）
                        │    │   ├── ILoginServiceCallback.java             （登录服务回调）
                        │    │   ├── IRoomInitStateCallback.java            （房间初始化状态回调）
                        │    │   └── IServicesNotNullCallback.java          （申请服务不为空回调）
                        │    ├── custom
                        │    │   ├── RoomAlreadyClosedDialog.java           （房间已关闭弹窗）
                        │    │   ├── RoomApplyDialog.java                   （观众申请连麦弹窗）
                        │    │   ├── RoomBottomMenu.java                    （房间底部菜单视图）
                        │    │   ├── RoomCommonDialog.java                  （房间通用确认弹窗）
                        │    │   ├── RoomInviteDialog.java                  （房主邀请弹窗）
                        │    │   ├── RoomMicListView.java                   （房间麦位列表视图）
                        │    │   ├── RoomNetConnectDialog.java              （房间网络连接弹窗）
                        │    │   ├── RoomTopInfoView.java                   （房间顶部信息视图）
                        │    │   └── adapter
                        │    │       ├── RoomPersonListAdapter.java         （房间用户列表适配器）
                        │    │       └── RoomStageGuestAdapter.java         （房间麦位适配器）
                        │    ├── help
                        │    │   ├── OperationDialogHelp.java               （操作弹窗辅助类）
                        │    │   ├── PersonListDialogHelp.java              （用户列表弹窗辅助类）
                        │    │   ├── TimerTaskHelp.java                     （定时任务辅助类）
                        │    │   └── ZIMTextMessageHelp.java                （ZIM文本消息辅助类）
                        │    └── service
                        │        ├── DialogQueueService.java                （弹窗队列服务）
                        │        ├── HeartBeatService.java                  （心跳服务）
                        │        ├── InviteService.java                     （邀请服务）
                        │        ├── RoomAttributesService.java             （房间属性服务）
                        │        ├── RoomConnectService.java                （房间连接服务）
                        │        ├── RoomDialogService.java                 （房间弹窗服务）
                        │        ├── RoomInfoService.java                   （房间信息服务）
                        │        ├── RoomStreamService.java                 （房间流服务）
                        │        ├── RunningRoomService.java                （管理当前房间所有服务的总服务）
                        │        ├── TimerTaskService.java                  （定时任务服务）
                        │        ├── UserService.java                       （用户服务）
                        │        └── callback
                        │            └── UserServiceHandler.java            （用户部分属性变更回调）
                        ├── roomlist
                        │    ├── ChatHouseListActivity.java                 （语聊房房间列表页面）
                        │    ├── adapter
                        │    │   ├── EmptyAndLoadMoreAdapterWrapper.java    （封装基础适配器）
                        │    │   └── RoomListAdapter.java                   （房间列表适配器）
                        │    └── view
                        │        ├── LoadMoreView.java                      （加载更多视图）
                        │        └── RoomListDecoration.java                （列表分割线）                    
                        ├── sdk
                        │    ├── constants
                        │    │   └── ConnectionState.java                   （连接状态）
                        │    ├── rtc
                        │    │   ├── RTCDispatchService.java                （RTC事件分发服务）
                        │    │   ├── RTCEventHandlerWrap.java               （RTC事件包装类）
                        │    │   ├── RTCSDKManager.java                     （RTC封装管理类）
                        │    │   └── callbacks
                        │    │       ├── IConnectionStateChangeListener.java    （RTC连接状态监听）
                        │    │       ├── IRTCCommonCallback.java            （RTC通用回调）
                        │    │       ├── IRTCEventCallback.java             （RTC事件回调）
                        │    │       └── RTCEventHandler.java               （RTC事件回调默认处理类）
                        │    └── zim
                        │        ├── ZIMDispatchService.java                （ZIM事件分发服务）
                        │        ├── ZIMEventHandlerWrap.java               （ZIM事件包装类）
                        │        ├── ZIMSDKManager.java                     （ZIM封装管理类）
                        │        └── callback
                        │            ├── IZIMCommonCallback.java            （ZIM通用回调）
                        │            └── IZIMQueryRoomMemberListCallback.java   (查询房间人员列表回调)
                        ├── utils
                        │    ├── GlideImageLoader.java                      （图片加载类）
                        │    ├── PermissionHelper.java                      （权限辅助类）
                        │    ├── ToastUtil.java                             （提示工具类）
                        │    └── ViewUtil.java                              （视图工具类）
                        └── view
                            ├── ChatHouseWaterWaveView.java                 （水波视图）
                            ├── MessageDialog.java                          （消息弹窗）
                            └── ProcessView.java                            （加载视图）
```

## 3 快速接入

### 3.1 使用自己的账号体系

重写 im.zego.chathouse.UserProfile 类的reset()，设置自己的用户账号信息


## 4 语聊房方案介绍文档

请参考 https://doc-zh.zego.im/article/15951
