package im.zego.chathouse;

import java.security.SecureRandom;
import java.util.Locale;


/**
 * 用户测试信息
 */
public class UserProfile {
    public static String USER_ID = "";          // 用户ID，用于SDK初始化
    public static String USER_NAME = "";        // 用户昵称，用于SDK初始化
    public static String USER_ICON = "";      // 用户头像

    public UserProfile() {
        randomProfile();
    }

    public static void reset() {
        randomProfile();

    }

    private static void randomProfile() {
        int random = new SecureRandom().nextInt(100000);
        USER_ID = "ID_" + random;
        USER_NAME = "NAME_" + random;
        USER_ICON = getUserIcon(USER_ID);
    }

    private static final String USER_ICON_URL_PREFIX = "https://zego-customersucc.oss-cn-shanghai.aliyuncs.com/solution_app/avatar/ktv/mobile/";

    private static String getUserIcon(String userID) {
        long index;
        try {
            index = Long.parseLong(userID) % 10;
        } catch (Exception e) {
            index = new SecureRandom().nextInt(10);
        }
        return String.format(Locale.getDefault(), "%s%d.png", USER_ICON_URL_PREFIX, index);
    }
}
