package im.zego.chathouse.help;

import android.content.Intent;
import android.net.Uri;
import android.provider.Settings;
import android.view.View;
import android.widget.Toast;

import androidx.fragment.app.FragmentActivity;

import im.zego.chathouse.R;
import im.zego.chathouse.utils.PermissionHelper;
import im.zego.chathouse.view.MessageDialog;


/**
 * 权限辅助类
 */
public class PermissionHelp {


    /**
     * 麦克风权限，如果准许权限则回调接口，否则打开申请权限的弹窗
     */
    public static void micPermission(FragmentActivity activity, IPermissionSucceededListener listener) {
        PermissionHelper.onAudioPermissionGranted(activity, new PermissionHelper.GrantResult() {
            @Override
            public void onGrantResult(boolean allGranted) {
                if (allGranted) {
                    if(listener != null){
                        listener.onPermissionSucceed();
                    }
                } else {

                    MessageDialog messageDialog = new MessageDialog(activity, R.layout.chathouse_dialog_msg);
                    messageDialog.setMsgTitle(activity.getString(R.string.chathouse_unable_to_use_mic));
                    messageDialog.setMsgContent(activity.getString(R.string.chathouse_please_enable_the_mic_permission));
                    messageDialog.setRightBtnContent(activity.getString(R.string.chathouse_to_set_up));
                    messageDialog.setLeftBtnContent(activity.getString(R.string.chathouse_cancel));
                    messageDialog.setSureListener(new View.OnClickListener() {
                        @Override
                        public void onClick(View v) {
                            //取消
                            messageDialog.dismiss();
                            Toast.makeText(activity, activity.getString(R.string.chathouse_open_the_mic_failed), Toast.LENGTH_SHORT).show();
                        }
                    });
                    messageDialog.setCancelListener(new View.OnClickListener() {
                        @Override
                        public void onClick(View v) {
                            //去设置
                            messageDialog.dismiss();
                            Intent intent = new Intent(Settings.ACTION_APPLICATION_DETAILS_SETTINGS)
                                    .setData(Uri.fromParts("package", activity.getPackageName(), null));
                            activity.startActivityForResult(intent, 666);
                        }
                    });

                }
            }
        });
    }

    public interface IPermissionSucceededListener{
        void onPermissionSucceed();
    }

}
