package im.zego.chathouse.manager;


import im.zego.chathouse.sdk.rtc.RTCSDKManager;

/**
 * 用户信息管理类
 */
public class UserManager {

    /**
     * 用户ID
     */
    private String mUserID = "";
    /**
     * 用户名称
     */
    private String mUserName = "";
    /**
     * 用户头像
     */
    private String mUserIcon = "";

    private static volatile UserManager singleton = null;

    private UserManager() {
    }

    public static UserManager getInstance() {
        if (singleton == null) {
            synchronized (UserManager.class) {
                if (singleton == null) {
                    singleton = new UserManager();
                }
            }
        }
        return singleton;
    }

    public String getUserID() {
        return mUserID;
    }

    public void setUserID(String userID) {
        this.mUserID = userID;
    }


    public String getUserName() {
        return mUserName;
    }

    public void setUserName(String mUserName) {
        this.mUserName = mUserName;
    }

    public String getUserIcon() {
        return mUserIcon;
    }

    public void setUserIcon(String userIcon) {
        this.mUserIcon = userIcon;
    }


    /**
     * 保存用户信息
     * @param userID 用户ID
     * @param userName 用户名称
     * @param userIcon 头像
     */
    public void setUserInfo(String userID , String userName, String userIcon){
        setUserID(userID);
        setUserName(userName);
        setUserIcon(userIcon);
        RTCSDKManager.getInstance().setUserID(userID,userName);

    }

    /**
     * 移除用户信息
     */
    public void removeUserInfo(){
        setUserID("");
        setUserName("");
        setUserIcon("");
    }

}
