package im.zego.chathouse.model;

import com.google.gson.annotations.SerializedName;

/**
 * 邀请附加信息
 */
public class InviteExtendedData {

    /**
     * 邀请者 userID
     */
    @SerializedName("inviter_id")
    public String inviterID;

    /**
     * 被邀请者 userID
     */
    @SerializedName("invitee_id")
    public String inviteeID;

    /**
     * IM 服务器对邀请事件生成的唯一 ID
     */
    @SerializedName("call_id")
    public String callID;

    /**
     * 邀请麦位
     */
    @SerializedName("seat_index")
    public int seatIndex;

    /**
     * 事件状态
     */
    @SerializedName("status")
    public int status;

//    /**
//     * 拒绝理由
//     */
//    @SerializedName("invalid_reason")
//    public int reason;

    public enum InvitationStatus{
        INVITATION_STATUS_NOT_DETERMINED(0),
        INVITATION_STATUS_ACCEPTED(1),
        INVITATION_STATUS_REJECTED(2),
        INVITATION_STATUS_CANCELLED(3),
        INVITATION_STATUS_FAILED(4);

        public int status;
        InvitationStatus(int status){
            this.status = status;
        }

        public static InvitationStatus getStatus(int value) {
            try {
                if (InvitationStatus.INVITATION_STATUS_NOT_DETERMINED.status == value) {
                    return InvitationStatus.INVITATION_STATUS_NOT_DETERMINED;
                } else if (InvitationStatus.INVITATION_STATUS_ACCEPTED.status == value) {
                    return InvitationStatus.INVITATION_STATUS_ACCEPTED;
                } else if (InvitationStatus.INVITATION_STATUS_REJECTED.status == value) {
                    return InvitationStatus.INVITATION_STATUS_REJECTED;
                }else if (InvitationStatus.INVITATION_STATUS_CANCELLED.status == value) {
                    return InvitationStatus.INVITATION_STATUS_CANCELLED;
                }else {
                    return InvitationStatus.INVITATION_STATUS_FAILED.status == value ? INVITATION_STATUS_FAILED : null;
                }
            } catch (Exception var2) {
                throw new RuntimeException("The enumeration cannot be found");
            }
        }

    }

//    public enum InvalidReason{
//        /**
//         * 无
//         * 默认初始值
//         */
//        INVALID_REASON_NONE(0),
//        /**
//         * 麦位已经被占据
//         */
//        INVALID_REASON_SEAT_ALREADY_OCCUPIED(1),
//
//        /**
//         * 麦位已经被关闭
//         */
//        INVALID_REASON_SEAT_CLOSED(2),
//        /**
//         * 邀请被拒绝
//         */
//        INVALID_REASON_INVITE_REJECTED(3),
//        /**
//         * 挂断
//         */
//        INVALID_REASON_QUIT(4),
//
//        /**
//         * 邀请超时
//         */
//        INVALID_REASON_INVITE_TIME_OUT(5);
//
//        public int reason;
//        InvalidReason(int reason){
//            this.reason = reason;
//        }
//
//        public static InvalidReason getStatus(int value) {
//            try {
//                if (INVALID_REASON_NONE.reason == value) {
//                    return INVALID_REASON_NONE;
//                } else if (INVALID_REASON_SEAT_ALREADY_OCCUPIED.reason == value) {
//                    return INVALID_REASON_SEAT_ALREADY_OCCUPIED;
//                } else if (INVALID_REASON_SEAT_CLOSED.reason == value) {
//                    return INVALID_REASON_SEAT_CLOSED;
//                } else if (INVALID_REASON_INVITE_REJECTED.reason == value) {
//                    return INVALID_REASON_INVITE_REJECTED;
//                }else if (INVALID_REASON_INVITE_TIME_OUT.reason == value) {
//                    return INVALID_REASON_INVITE_TIME_OUT;
//                }else {
//                    return INVALID_REASON_QUIT.reason == value ? INVALID_REASON_QUIT : null;
//                }
//            } catch (Exception var2) {
//                throw new RuntimeException("The enumeration cannot be found");
//            }
//        }
//
//    }

}
