package im.zego.chathouse.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

/**
 * 麦位
 */
public class Seat {

    /**
     * 麦位
     */
    @Expose
    @SerializedName("idx")
    private int idx;
    /**
     * 用户信息
     */
    @Expose
    @SerializedName("user")
    private User user;
    /**
     * 麦位状态
     */
    @Expose
    @SerializedName("status")
    private int status;

    public int getIdx() {
        return idx;
    }

    public void setIdx(int idx) {
        this.idx = idx;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public enum SeatStatus{
        /**
         * 空闲状态
         */
        VACANT(0),
        /**
         * 邀请状态
         */
        INVITING(1),
        /**
         * 占据状态
         */
        OCCUPIED(2),
        /**
         * 关闭状态
         */
        CLOSED(3);

        public int status;

        SeatStatus(int status){
            this.status = status;
        }

        public static SeatStatus getSeatStatus(int value) {
            try {
                if (SeatStatus.VACANT.status == value) {
                    return VACANT;
                } else if (SeatStatus.INVITING.status == value) {
                    return INVITING;
                } else if (SeatStatus.OCCUPIED.status == value) {
                    return OCCUPIED;
                } else {
                    return SeatStatus.CLOSED.status == value ? CLOSED : null;
                }
            } catch (Exception var2) {
                throw new RuntimeException("The enumeration cannot be found");
            }
        }
    }

}
