package im.zego.chathouse.protocol;

/**
 * 请求错误码管理，用于部分错误码的统一处理
 */
public class RequestErrorCodeManager {

    private static volatile RequestErrorCodeManager singleton = null;

    private RequestErrorCodeListener mRequestErrorCodeListener;


    private RequestErrorCodeManager() {
    }

    public static RequestErrorCodeManager getInstance() {
        if (singleton == null) {
            synchronized (RequestErrorCodeManager.class) {
                if (singleton == null) {
                    singleton = new RequestErrorCodeManager();
                }
            }
        }
        return singleton;
    }

    public RequestErrorCodeListener getRequestErrorCodeListener() {
        return mRequestErrorCodeListener;
    }

    public void setRequestErrorCodeListener(RequestErrorCodeListener requestErrorCodeListener) {
        this.mRequestErrorCodeListener = requestErrorCodeListener;
    }

    public interface RequestErrorCodeListener{
        void onRequestErrorCode(Object tag,String requestUrl,int errorCode);
    }

}
