package im.zego.chathouse.protocol;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.List;

import im.zego.chathouse.KeyCenter;
import im.zego.chathouse.manager.UserManager;
import im.zego.enjoycommon.provider.ApplicationHelper;
import im.zego.enjoycommon.util.ZegoGoUtil;


/**
 * 用于生成附带token信息的json字符串
 */
public class TokenJsonBuilder extends JsonBuilder{
    public JSONObject authJsonObject = new JSONObject();
    public JSONObject tokenJsonObject = new JSONObject();

    public <T> TokenJsonBuilder addParams(String key, T value) {
        try {

            if(!(value instanceof List)){
                jsonObject.put(key, value);
            }else {
                JSONArray jsonArray = new JSONArray();

                List<Object> tempList = (List<Object>) value;
                for(Object object : tempList){
                    jsonArray.put(object);
                }
                jsonObject.put(key,jsonArray);
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return this;
    }

    public String build() {
        try {
            authJsonObject.put("app_id", KeyCenter.APP_ID);
            authJsonObject.put("uid", UserManager.getInstance().getUserID());
            authJsonObject.put("token",TokenManager.getInstance().getToken());
            authJsonObject.put("platform", 3);  // PLATFORM_ANDROID
            authJsonObject.put("version", ZegoGoUtil.getAppVersion(ApplicationHelper.getApplication()));

            tokenJsonObject.put("auth",authJsonObject);
            tokenJsonObject.put("data",jsonObject);
        } catch (JSONException e) {
            e.printStackTrace();
        }

        return tokenJsonObject.toString();
    }
}

