package im.zego.chathouse.room.custom;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.view.View;
import android.view.Window;
import android.widget.TextView;

import androidx.annotation.NonNull;

import im.zego.chathouse.R;


/**
 * 房间已关闭弹窗
 */
public class RoomAlreadyClosedDialog extends Dialog {


    private TextView mConfirmButton;

    private final boolean mCancelable;

    public RoomAlreadyClosedDialog(@NonNull Context context, boolean cancelable) {
        this(context, R.layout.chathouse_dialog_room_already_closed,cancelable);
    }

    public RoomAlreadyClosedDialog(@NonNull Context context, int layoutId, boolean cancelable) {
        this(context, R.style.ChatHouseBaseDialogStyle, layoutId,cancelable);
    }

    private RoomAlreadyClosedDialog(@NonNull Context context, int themeResId, int layoutId, boolean cancelable) {
        super(context, themeResId);
        mCancelable = cancelable;
        init(context, layoutId);
    }

    private void init(Context context, int layoutId) {
        //设置dialog位置
        Window window = getWindow();
        if (window != null) {
            window.setContentView(layoutId);
            mConfirmButton = window.findViewById(R.id.tv_confirm);
        }

        setCancelable(mCancelable);
        setCanceledOnTouchOutside(mCancelable);

        if(context instanceof Activity){
           if(((Activity)context).isDestroyed() || ((Activity)context).isFinishing()) {
               return;
           }
        }
        show();

    }


    public void setConfirmListener(View.OnClickListener listener) {

        if(mConfirmButton == null){
            return;
        }

        mConfirmButton.setOnClickListener(listener);
    }

}
