package im.zego.chathouse.room.custom;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.view.View;
import android.view.Window;
import android.widget.TextView;

import androidx.annotation.NonNull;

import im.zego.chathouse.R;


/**
 * 观众申请连麦弹窗
 */
public class RoomNetConnectDialog extends Dialog {


    private TextView mQuitButton;
    private TextView mTvTitle;

    private final boolean mCancelable ;

    public RoomNetConnectDialog(@NonNull Context context, boolean cancelable) {
        this(context, R.layout.chathouse_dialog_room_net_connect,cancelable);
    }

    public RoomNetConnectDialog(@NonNull Context context, int layoutId, boolean cancelable) {
        this(context, R.style.ChatHouseBaseDialogStyle, layoutId,cancelable);
    }

    private RoomNetConnectDialog(@NonNull Context context, int themeResId, int layoutId, boolean cancelable) {
        super(context, themeResId);
        mCancelable = cancelable;
        init(context, layoutId);
    }

    private void init(Context context, int layoutId) {
        //设置dialog位置
        Window window = getWindow();
        if (window != null) {
            window.setContentView(layoutId);
            mQuitButton = window.findViewById(R.id.tv_quit);
            mTvTitle = window.findViewById(R.id.tv_title);
        }

        setCancelable(mCancelable);
        setCanceledOnTouchOutside(mCancelable);

        if(context instanceof Activity){
           if(((Activity)context).isDestroyed() || ((Activity)context).isFinishing()) {
               return;
           }
        }
        show();

    }

    public void setTitle(String text){
        if(mTvTitle != null){
            mTvTitle.setText(text);
        }
    }


    public void setQuitListener(View.OnClickListener listener) {

        if(mQuitButton == null){
            return;
        }

        mQuitButton.setOnClickListener(listener);
    }

}
