package im.zego.chathouse.sdk.constants;

/**
 * 连接状态枚举
 */
public enum ConnectionState {

    /**
     * 网络彻底断开，无法恢复
     */
    DISCONNECTED(0),
    /**
     * 网络断开，等待恢复
     */
    CONNECTING(1),
    /**
     * 网络已连接
     */
    CONNECTED(2);

    private final int value;

     ConnectionState(int value) {
        this.value = value;
    }

    public int value() {
        return this.value;
    }

    public static ConnectionState getConnectionState(int value) {
        try {
            if (DISCONNECTED.value == value) {
                return DISCONNECTED;
            } else if (CONNECTING.value == value) {
                return CONNECTING;
            } else {
                return CONNECTED.value == value ? CONNECTED : null;
            }
        } catch (Exception var2) {
            throw new RuntimeException("The enumeration cannot be found");
        }
    }

}
