package im.zego.chathouse.sdk.zim;

import im.zego.zim.callback.ZIMEventHandler;

/**
 * ZIM事件包装类
 */
abstract public class ZIMEventHandlerWrap extends ZIMEventHandler implements Comparable<ZIMEventHandlerWrap>{

    public static final int DATA_PRIORITY = 1000;
    public static final int CONNECTION_STATE = 1100;
    public static final int DATA_PROCESSING_COMPLETED_PRIORITY = 1500;
    public static final int UI_PRIORITY = 2000;

    public String mRoomID;


    public int mPriority;

    public ZIMEventHandlerWrap(String roomID,int priority){
        mRoomID = roomID;
        mPriority = priority;
    }

    @Override
    public int compareTo(ZIMEventHandlerWrap o) {
        return this.mPriority - o.mPriority;
    }


    /**
     * 房间在线人数变更统计
     * @param count 人数
     * @param errorCode 错误码
     */
    public void onRoomOnlineMemberCountQueried(int count,int errorCode){
    }


    /**
     * 接收1v1通用消息
     */
    public void onReceivePeerCommandMessage(String commandMessage){

    }

    /**
     * 接收1v1通用消息
     */
    public void onReceivePeerTextMessage(String commandMessage){

    }


}
