package im.zego.enjoycommon.util;

import android.content.Context;
import android.content.SharedPreferences;

import java.util.UUID;


public class SharedPreferencesUtil {


    private static final String DEFAULT_SP = "im.zego.GoEnjoy";
    private static final String KEY_SHOW_PRIVACY_PAGE = "GOENJOY_PRIVACY";
    private static final String KEY_UUID = "GOENJOY_UUID";

    private static Context mApplication;

    public static void init(Context context)
    {
        mApplication = context;
    }

    private static SharedPreferences getSharedPreferences(String spFileName) {
        return mApplication.getSharedPreferences(spFileName, Context.MODE_PRIVATE);
    }


    public static Boolean getBooleanValue(String key, boolean b) {
        SharedPreferences sharedPreferences = getSharedPreferences(DEFAULT_SP);
        return sharedPreferences.getBoolean(key, b);
    }

    public static void setBooleanValue(String key, boolean b) {
        SharedPreferences sharedPreferences = getSharedPreferences(DEFAULT_SP);
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putBoolean(key, b);
        editor.commit();
    }

    public static String getUUID() {
        SharedPreferences sharedPreferences = getSharedPreferences(DEFAULT_SP);
        String uuid = sharedPreferences.getString(KEY_UUID, "");
        if (uuid.isEmpty()) {
            uuid = UUID.randomUUID().toString();
            SharedPreferences.Editor editor = sharedPreferences.edit();
            editor.putString(KEY_UUID, uuid);
            editor.commit();
        }

        return uuid;
    }
}
