package im.zego.enjoycommon.util;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.util.DisplayMetrics;

import java.util.Locale;

/**
 * Created by zego(hugh) on 6/15/21.
 */
public class SystemUtil {


    /**
     * 获取屏幕分辨率，判断是否横竖屏
     * @param context
     * @return
     */
    static public boolean getResolutionProportion(Context context){
        DisplayMetrics dm = context.getApplicationContext().getResources().getDisplayMetrics();
        int width = dm.widthPixels;
        int height = dm.heightPixels;
        if (width > height){
            return true;
        }
        return false;
    }
    
    
    static public String getSystemVersion(){
        String systemVersion = Build.VERSION.RELEASE;
        return systemVersion;
    }

    /**
     * 获取当前app的版本号
     * @param context
     * @return
     */
    static public String getAppVersion(Context context){
        String appVersion;
        PackageManager packageManager = context.getApplicationContext().getPackageManager();
        PackageInfo packageInfo = null;
        try{
            packageInfo = packageManager.getPackageInfo(context.getPackageName(),0);
        }catch (Exception e){
            e.printStackTrace();
        }
        appVersion = packageInfo.versionName;
        return appVersion;
    }

    /**
     * 获取系统语言版本
     * @return
     */
    static public String getSystemLanguage(){
        String locale = Locale.getDefault().getLanguage();
        return locale;
    }
    
    
}
