package im.zego.enjoycommon.util;

import android.content.Context;
import android.content.pm.PackageManager;
import android.os.Environment;

import im.zego.enjoycommon.BuildConfig;

public class ZegoGoUtil {
    public static final String ZEGO_LOGS_SUBPATH = "zegologs";

    public static String getStorageFilesPath(Context context) {
        String folderPath = null;
        if (Environment.getExternalStorageState().equals(Environment.MEDIA_MOUNTED) && context.getExternalFilesDir(null) != null) {
            folderPath = context.getExternalFilesDir(null).getAbsolutePath();
        } else {
            folderPath = context.getFilesDir().getAbsolutePath();
        }

        return folderPath;
    }

    public static String getAppVersion(Context context) {
        String appDisplayVersion = "";

        try {
            //获取应用版本号
            appDisplayVersion = context.getPackageManager().getPackageInfo(context.getPackageName(), 0).versionName;
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }

        return appDisplayVersion;
    }

    public static String getAppVersionDesc(Context context) {
        String displayVersion = getAppVersion(context);
        if (BuildConfig.isAlphaEnv) {
            displayVersion = String.format("%s (Alpha)", displayVersion);
        }

        return displayVersion;
    }
}
